> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh external event subscription



## OpenAPI

````yaml /api-reference/membrane-api.json post /external-event-subscriptions/{elementSelector}/refresh
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-event-subscriptions/{elementSelector}/refresh:
    post:
      tags:
        - ExternalEventSubscriptions
      summary: Refresh external event subscription
      operationId: refreshExternalEventSubscription
      parameters:
        - name: elementSelector
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseWorkspaceElementDto'
components:
  schemas:
    BaseWorkspaceElementDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        meta:
          type: object
          additionalProperties:
            type: object
        archivedAt:
          type: string
        isDeactivated:
          type: boolean
        isReadOnly:
          type: boolean
        state:
          type: string
          enum:
            - BUILDING
            - CLIENT_ACTION_REQUIRED
            - CONFIGURATION_ERROR
            - SETUP_FAILED
            - READY
            - DISCONNECTING
        errors:
          type: array
          items:
            type: object
      required:
        - id
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````